Werk #14505: heartbeat_crm_resources: services not discovered under pacemaker version >= 2

Component Checks & agents
Title heartbeat_crm_resources: services not discovered under pacemaker version >= 2
Date Aug 24, 2022
Checkmk Editon Checkmk Raw (CRE)
Checkmk Version 2.2.0i1 2.1.0p11 2.0.0p28
Level Trivial Change
Class Bug Fix
Compatibility Compatible - no manual interaction needed

The check heartbeat_crm_resources would not discover any services when pacemaker version >= 2 is installed on the host system. This is for example the case with RHEL8. This has been fixed.

The problem was due to the fact that newer versions of pacemaker show heartbeat information in a different format.

To the list of all Werks